## r-cran-mlbench 2.1

=== DESCRIPTION ===
Package: mlbench
Version: 2.1-7
Title: Machine Learning Benchmark Problems
Date: 2026-02-18
Authors@R: c(person("Friedrich", "Leisch", role = "aut",
		    comment = c(ORCID = "0000-0001-7278-1983",
		                "maintainer up to 2024")),
             person("Evgenia", "Dimitriadou", role = "aut"),
             person("Kurt", "Hornik", role = "cre",
                    email = "Kurt.Hornik@R-project.org",
                    comment = c(ORCID = "0000-0003-4198-9911")))
Description: A collection of artificial and real-world machine learning
        benchmark problems, including, e.g., several
        data sets from the UCI repository.
Depends: R (>= 2.10)
License: GPL-2
Suggests: lattice
ZipData: No
NeedsCompilation: yes
Packaged: 2026-02-18 08:13:39 UTC; hornik
Author: Friedrich Leisch [aut] (ORCID: <https://orcid.org/0000-0001-7278-1983>,
    maintainer up to 2024),
  Evgenia Dimitriadou [aut],
  Kurt Hornik [cre] (ORCID: <https://orcid.org/0000-0003-4198-9911>)
Maintainer: Kurt Hornik <Kurt.Hornik@R-project.org>
Repository: CRAN
Date/Publication: 2026-02-18 08:46:25 UTC

## r-cran-mlbench 2.1-1

=== debian/changelog ===
r-cran-mlbench (2.1-1-1) unstable; urgency=low

  * Initial release (Closes: #826861).

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jun 2016 17:16:06 +0200

=== debian/control ===
Source: r-cran-mlbench
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev (>= 3.0.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-mlbench/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-mlbench/trunk/
Homepage: https://cran.r-project.org/web/packages/mlbench(

Package: r-cran-mlbench
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Description: GNU R Machine Learning Benchmark Problems
 This GNU R package provices a collection of artificial and real-world
 machine learning benchmark problems, including, e.g., several data sets
 from the UCI repository.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/mlbench_([-\d.]*)\.tar\.gz

## r-cran-mlbench 2.1-3

=== debian/changelog ===
r-cran-mlbench (2.1-3-1) unstable; urgency=medium

  * Team Upload.
  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Nilesh Patra ]
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 31 Jan 2021 02:13:15 +0530

r-cran-mlbench (2.1-1-3) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 14:59:37 +0200

r-cran-mlbench (2.1-1-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * debhelper 10
  * Convert packaging from cdbs to dh-r
  * Secure URI in watch file
  * Canonical homepage for CRAN packages
  * Testsuite: autopkgtest-pkg-r
  * Add README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Sat, 21 Oct 2017 16:52:21 +0200

=== debian/control ===
Source: r-cran-mlbench
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mlbench
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mlbench.git
Homepage: https://cran.r-project.org/package=mlbench
Rules-Requires-Root: no

Package: r-cran-mlbench
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Machine Learning Benchmark Problems
 This GNU R package provices a collection of artificial and real-world
 machine learning benchmark problems, including, e.g., several data sets
 from the UCI repository.

## r-cran-mlbench 2.1-3.1

=== debian/changelog ===
r-cran-mlbench (2.1-3.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * lintian-overrides for library-not-linked-against-libc

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 09:22:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-mlbench
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mlbench
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mlbench.git
+Homepage: https://cran.r-project.org/package=mlbench
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mlbench
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mlbench.git
-Homepage: https://cran.r-project.org/package=mlbench
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-mlbench
 Architecture: any

## r-cran-mlbench 2.1-5

=== debian/changelog ===
r-cran-mlbench (2.1-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 11 Jun 2024 13:49:47 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mlbench
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mlbench.git
 Homepage: https://cran.r-project.org/package=mlbench
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-mlbench 2.1-6

=== debian/changelog ===
r-cran-mlbench (2.1-6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 07 Mar 2025 10:38:11 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mlbench
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mlbench.git
 Homepage: https://cran.r-project.org/package=mlbench
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/mlbench_([-\d.]*)\.tar\.gz

## r-cran-mlbench 2.1-7

=== debian/changelog ===
r-cran-mlbench (2.1-7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Sun, 22 Feb 2026 15:56:00 +0900

=== debian/control ===
Source: r-cran-mlbench
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mlbench
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mlbench.git
Homepage: https://cran.r-project.org/package=mlbench
Rules-Requires-Root: no

Package: r-cran-mlbench
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R Machine Learning Benchmark Problems
 This GNU R package provices a collection of artificial and real-world
 machine learning benchmark problems, including, e.g., several data sets
 from the UCI repository.
